07-30-11 02:31 AM
27 12
tools
  1. StevenG's Avatar
    I have a Bold 9000 unlocked but without a current subscription as I bought it to take on a trip to Europe and it will be on the Vodafone network. Here is the problem.

    When I go to upgrade the device to 5.0 the DM tells me it must have an active subscription to upgrade. I've tried app loader as well but that doesn't work either.

    Would anyone know a way around this? Or how I can get this device to update before I leave for my trip as I would like 5.0 on the device before I leave.

    Thanks in Advance.
    07-22-10 05:08 PM
  2. dasDestruktion's Avatar
    That's strange. You shouldn't need a connection to a BIS to change your OS via computer should you? Disconnect your computer from the internet and try again.
    07-22-10 05:23 PM
  3. StevenG's Avatar
    That's strange. You shouldn't need a connection to a BIS to change your OS via computer should you? Disconnect your computer from the internet and try again.
    I have it disconnected. I thought that may be the problem as well but still nothing. Keeps talking about an active subscription.
    07-22-10 05:37 PM
  4. dasDestruktion's Avatar
    I have it disconnected. I thought that may be the problem as well but still nothing. Keeps talking about an active subscription.

    Very very weird mate. Sorry, I'm no help then.
    07-22-10 05:39 PM
  5. StevenG's Avatar
    BlackBerry - Data Plan - Upgrade Your BlackBerry Data Plan

    It directs me to this site which states that the DM prevents upgrading devices without subscriptions. I hope there is some way to disable this.
    07-22-10 05:51 PM
  6. dasDestruktion's Avatar
    BlackBerry - Data Plan - Upgrade Your BlackBerry Data Plan

    It directs me to this site which states that the DM prevents upgrading devices without subscriptions. I hope there is some way to disable this.
    That's damn annoying! I never knew this was the case! Can you update your OS with BBSAK or Blackberry Master Control or whatever? I think most of these kinds of programs send you over to apploader, don't they?
    07-22-10 05:53 PM
  7. mandony's Avatar
    If you follow these instructions you will not need a subscription

    http://forums.crackberry.com/f83/off...mobile-471197/
    07-22-10 05:57 PM
  8. StevenG's Avatar
    That's the first way I tried. That is how I usually update my storm, however, this does not work.

    It's this security feature that seems to be built into the 5.0 DM/app loader and I'm hoping there is a way to override it or disable it completely. I also have the Vodafone sim card in the phone and still no dice. Very frustrating. Updated many OS's and this is the first time I've run into this problem.
    07-22-10 06:04 PM
  9. StevenG's Avatar
    That's damn annoying! I never knew this was the case! Can you update your OS with BBSAK or Blackberry Master Control or whatever? I think most of these kinds of programs send you over to apploader, don't they?
    From my understanding or at least the last time I used BBSAK it uses the app loader so I'm assuming it would give me the same problem. I have no experience with Master Control but I would assume it uses app loader as well.
    07-22-10 06:09 PM
  10. Rockdog97's Avatar
    perhaps try downgrading our DM to 4.7 or something...
    07-23-10 02:46 PM
  11. Spazmogen's Avatar
    don't use the APP loader in DM. Use the app loader directly from C: > Program Files>common Files> Research In Motion>App Loader. Delete the Vendor file in there BEFORE you run app loader.
    Last edited by Spazmogen; 07-28-10 at 03:08 PM.
    07-28-10 03:06 PM
  12. inflamatio's Avatar
    Had the same problem, until removed DM 6 and firmware from the PC, than installed DM 4.6 (the best for update reason I think), installed FW 5, deleted vendor.xml. Than started Loader.exe and finally it worked. After that even DM loader saw the firmware 5.
    Cannot explain why so, but for me it was the only possible way to update my Bold...
    Good luck with update!
    07-29-10 07:34 AM
  13. dasDestruktion's Avatar
    I wonder if you have multiple vendor.xml files like someone had posted the other day. Do a search on your computer for "vendor.xml" and see if you have all of them taken out.
    07-29-10 11:06 AM
  14. StevenG's Avatar
    don't use the APP loader in DM. Use the app loader directly from C: > Program Files>common Files> Research In Motion>App Loader. Delete the Vendor file in there BEFORE you run app loader.
    I've done this previously and it doesn't work. As I said earlier I usually use this method with my storm (had to update this thing hundreds of times) but doesn't work with my bold. At least with the 5.0 and newer versions.
    Last edited by StevenG; 07-30-10 at 10:50 AM.
    07-30-10 10:44 AM
  15. StevenG's Avatar
    Had the same problem, until removed DM 6 and firmware from the PC, than installed DM 4.6 (the best for update reason I think), installed FW 5, deleted vendor.xml. Than started Loader.exe and finally it worked. After that even DM loader saw the firmware 5.
    Cannot explain why so, but for me it was the only possible way to update my Bold...
    Good luck with update!
    Thanks! Will definitely try this tonight. Wasn't sure if an older version of DM and app loader would work with a 5.0 install but now that you've confirmed I'll definitely try it.

    Appreciate all the help guys will let you know how it turns out. Crossing fingers
    07-30-10 10:47 AM
  16. StevenG's Avatar
    I wonder if you have multiple vendor.xml files like someone had posted the other day. Do a search on your computer for "vendor.xml" and see if you have all of them taken out.
    No only one vendor.xml file. Gonna try the members suggestion to uninstall the current DM and install the 4.6 version. Just trying to find a copy online.
    07-30-10 10:49 AM
  17. dasDestruktion's Avatar
    I have been thinking about this over the past couple of days... Today, I had tried this myself on a never-before activated 9630 CLNFRU device from VZW. I had no problem update the software on the device after deleting the vendor.xml files and going through the usual process. I'm still baffled by what you have going on there chap.
    07-30-10 01:19 PM
  18. Spazmogen's Avatar
    I'm 90% sure he's running APP loader from inside the Desktop Manager and not the folder where he should be (same folder where you removed vendor.xml).

    right click loader.exe and run it from there.

    Desktop Manager looks for software online, Loader.exe does not. At least not that I've encountered.
    07-30-10 06:49 PM
  19. StevenG's Avatar
    Thank you both for helping I can use all the help I can get as I also have not encountered such a problem as yet. I have added pics to help show you my problems and that I know the difference between app loader and DM... haha... . Being a Storm owner from the early days brought me right up to speed on the BB front but this is a completely new issue that I have yet to see and as a result need help.

    Before I downgrade my DM to 4.6 I wanted to post the following photos incase someone can see something I've missed. As one member has stated that he has also encountered the same problem and the only way to get around it was the 4.6 version. Which is what I'll be trying next but before that I took these screen shots.

    [IMG][/IMG]

    As you can see the vendor.xml is not present and I am in the app loader folder of my HD. I also have no active internet connection as I have no Ethernet connected and have disabled my wireless card.

    [IMG][/IMG]

    When I launch the app loader and go through the password screen and get to the list of apps to install or upgrade this is all that appears. Does not show the core files for update. Once I advance through the screen it does nothing and ends with this.

    [IMG][/IMG]

    As you can see it states "no action is required." However, I clearly have the 5.0 build I wish to install loaded in the "Shared" folder from which the application draws. I have also made sure to remove all other OS' from the directory. As illustrated below.

    [IMG][/IMG]

    Just for the sake of doing so I have also included a picture from the DM when trying to update the OS.

    [IMG][/IMG]

    As you can see there is an 'asterisk' beside the OS I wish to install on the Blackberry and at the bottom left of the DM you can see it is definitely a Blackberry 9000 just to clear up any lose ends... haha... This seems to be the sticking point. The statement just above the PIN and blackberry model the statement about "Entitlement".

    [IMG][/IMG]

    As I continue on this is the end result from the DM. As you can see once visiting the website it states that the DM limits blackberries without subscriptions from updating the OS as some sort of security issue. This is where the problem seems to be. This is my first encounter with this problem as well. Which is why it makes it so frustrating.

    I just wanted to give an illustration of the problem as to clear up any confusion here. I will be attempting a downgrade and reinstall of my OS from the 4.6 Desktop software and will update you on whether it was a success or not.

    I would appreciate any feedback as well as suggestions as to how to solve this problem as in the event my 4.6 downgrade fails.

    Once again thank you all for the help and support. I am open to any and all suggestions. I hope this clarifies my current situation and if not please let me know what other information I can provide that would be beneficial to the resolution of this problem.
    Last edited by StevenG; 07-30-10 at 10:20 PM.
    07-30-10 09:26 PM
  20. Spazmogen's Avatar
    Just on a hunch, does the installed OS 5 appear in your computers' Installed Applications & Programs section in control pannel? It should.

    The fact that Loader.exe doesn't even see the rest of the OS makes me believe the OS is not installed to the computer or only partially installed.

    vendor.xml is gone in the pictures, which is good.
    Last edited by Spazmogen; 07-30-10 at 09:50 PM.
    07-30-10 09:36 PM
  21. StevenG's Avatar
    Just on a hunch, does the installed OS 5 appear in your computers' Installed Applications & Programs section in control pannel? It should.
    It does, however, I have been uninstalling over the past few minutes so it is no longer there for me to take a screen shot of.

    It was visible from the Control panel > Add or Remove Programs. You can see from the DM screen shot though that the DM itself can see the 5.0 build so I believe it was installed fine. It is the "entitlement" section of that image that is the area that draws a red flag in my mind.

    Will be installing the 4.6 Desktop Software in a few min though and will relay results.
    Last edited by StevenG; 07-30-10 at 10:05 PM.
    07-30-10 09:48 PM
  22. StevenG's Avatar
    Well the 4.6 downgrade somehow had no effect. I am at a complete loss for what is going on here.

    Would anyone know if I put a friends SIM card from Rogers in this 9000 if it will work or not? Even if it is not registered to this specific device? and I know that his same sim was in this device before he sold it to me? Cause at this point I'm thinking I may just have to load the OS and all the apps I wish to have on my laptop and install once I get to Europe and have the active sim in the phone. I just hate thinking about whether it will work or not at that point.

    To be honest I'm quite upset with RIM after all that I've been doing to simply upgrade the OS on this phone it still won't allow it. This phone I'm 100% sure it is not stolen or has any blocks against it and I also know without a shadow of a doubt that it is unlocked.
    07-30-10 10:32 PM
  23. Lucky736's Avatar
    Try uninstalling the OS Software from Add/Remove Programs then reinstalling it. Maybe, as someone suggested, it is the OS file that is iffy.
    07-31-10 03:52 AM
  24. inflamatio's Avatar
    Well the 4.6 downgrade somehow had no effect. I am at a complete loss for what is going on here.

    Would anyone know if I put a friends SIM card from Rogers in this 9000 if it will work or not? Even if it is not registered to this specific device? and I know that his same sim was in this device before he sold it to me? Cause at this point I'm thinking I may just have to load the OS and all the apps I wish to have on my laptop and install once I get to Europe and have the active sim in the phone. I just hate thinking about whether it will work or not at that point.

    To be honest I'm quite upset with RIM after all that I've been doing to simply upgrade the OS on this phone it still won't allow it. This phone I'm 100% sure it is not stolen or has any blocks against it and I also know without a shadow of a doubt that it is unlocked.
    Did you reinstall OS 5 also? Be sure to uninstall both - DM and FW5 from the program list. Than install DM 4.6, than FW, delete vendor.xml.
    Don't forget to disconnect Internet before connecting BB.
    Also try to connect and disconnect your BB few times. Also try to play with starting loader.exe, than DM and so on.
    I will tell once again that I don't know why it is happening so that loader does not see FW, but only way is to try everything...
    08-02-10 05:01 AM
  25. theirongiant's Avatar
    I manage the cell phones at the office. We have several Bold 9000s that aren't being used right now, and I couldn't update them until I realized something not so obvious: The Blackberry won't allow you to skip minor revisions.

    These devices were all running 4.6.0.167 (AT&T stock load) and refused to update or acknowledge 5.0.0.681 until I had upgraded them to 4.6.0.304.

    None of these BBs had active SIM cards. In fact, the radios were OFF the whole time.

    Use the Blackberry Desktop Manager to update to 4.6.0.304 first, then follow the instructions from the other thread to modify AppLoader. Once your 4.6 device is all up-to-date, then you can load 5.0. (Sorry, I can't link it because I'm a new user. Search for "Official optus".)

    Cheers!
    Last edited by theirongiant; 08-11-10 at 10:28 AM.
    08-11-10 10:19 AM
27 12
LINK TO POST COPIED TO CLIPBOARD